libcdr::CDRArcToElement Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libcdr::CDRArcToElement Class Reference
Inheritance diagram for libcdr::CDRArcToElement:

## Public Member Functions
| CDRArcToElement (double rx, double ry, double rotation, bool largeArc, bool sweep, double x, double y)
| ~CDRArcToElement () override
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | transform (const CDRTransforms &trafos) override
void | transform (const CDRTransform &trafo) override
std::unique_ptr< CDRPathElement > | clone () override
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Attributes
double | m_rx
double | m_ry
double | m_rotation
bool | m_largeArc
bool | m_sweep
double | m_x
double | m_y

## Constructor & Destructor Documentation

## ◆ CDRArcToElement()

libcdr::CDRArcToElement::CDRArcToElement | ( | double | rx,
|  | double | ry,
|  | double | rotation,
|  | bool | largeArc,
|  | bool | sweep,
|  | double | x,
|  | double | y
| ) |  |
| inline

## ◆ ~CDRArcToElement()

libcdr::CDRArcToElement::~CDRArcToElement | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

std::unique_ptr< CDRPathElement > libcdr::CDRArcToElement::clone | ( |  | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ transform() [1/2]

void libcdr::CDRArcToElement::transform | ( | const CDRTransform & | trafo | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ transform() [2/2]

void libcdr::CDRArcToElement::transform | ( | const CDRTransforms & | trafos | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ writeOut()

void libcdr::CDRArcToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| overridevirtual

Implements libcdr::CDRPathElement.

## Member Data Documentation

## ◆ m_largeArc

bool libcdr::CDRArcToElement::m_largeArc
| private

Referenced by clone(), and writeOut().

## ◆ m_rotation

double libcdr::CDRArcToElement::m_rotation
| private

Referenced by clone(), transform(), and writeOut().

## ◆ m_rx

double libcdr::CDRArcToElement::m_rx
| private

Referenced by clone(), transform(), and writeOut().

## ◆ m_ry

double libcdr::CDRArcToElement::m_ry
| private

Referenced by clone(), transform(), and writeOut().

## ◆ m_sweep

bool libcdr::CDRArcToElement::m_sweep
| private

Referenced by clone(), transform(), and writeOut().

## ◆ m_x

double libcdr::CDRArcToElement::m_x
| private

Referenced by clone(), transform(), and writeOut().

## ◆ m_y

double libcdr::CDRArcToElement::m_y
| private

Referenced by clone(), transform(), and writeOut().

The documentation for this class was generated from the following file:

- CDRPath.cpp